# 设置中文字体
import matplotlib
import matplotlib.pyplot as plt
import numpy as np
import pandas as pd

# dataframe = pd.DataFrame({'Age':[23, 17, 40, 38, 24, 12, 45],
#                           'Avg Age in Family':[70, 65, 80, 55, 60, 63, 90]},
#                           index =['Olivia', 'John', 'Laura', 'Ben', 'Kevin',                                                'Robin','Elsa'])
# axis = dataframe.plot.bar(y='Age',rot=0)
# print(axis)
# plt.show()

# %%

matplotlib.rcParams['font.family'] = 'SimSun'  # 换字体
matplotlib.rcParams['axes.unicode_minus'] = False

# %%

# 1读取数据
# df = pd.read_excel('fengxianbianhua.xlsx', index_col='Index')
# df = pd.read_csv('fengxianbianhua.csv', encoding='ANSI', index_col='省份')
df = pd.read_csv('E:/1 论文/3.26/minganxinbianlu.csv', encoding='ANSI', index_col='省份')
# df = pd.DataFrame([df['SSP1-2.6'],df['SSP2-4.5'],df['SSP5-8.5']],index = list(df['省份']))


# df.plot.bar(figsize=(9, 6), rot=0, alpha=0.6)
# axis1 = df.plot.bar(figsize=(15, 10), rot=0)
# axis1 = df.plot.bar(figsize=(150, 100), rot=0, color=['blue', 'orange', 'green'], width=0.1)
axis1 = df.plot.bar(figsize=(15, 12), rot=0, color=['blue', 'orange', 'green'])
axis1.axhline(111., linestyle='--', color='blue', linewidth=2, label='SSP1-2.6平均变化率')
axis1.axhline(138., linestyle='--', color='orange', linewidth=2, label='SSP2-4.5平均变化率')
axis1.axhline(162., linestyle='--', color='green', linewidth=2, label='SSP5-8.5平均变化率')
# axis1.legend()
# axis1 = df.plot.hist(figsize=(15, 10), rot=0, stacked=False)
# axis2.set_xlim([-1, 31])
# axis2.legend()
plt.xticks(fontproperties='SimSun', rotation=90, size=14)
plt.yticks(fontproperties='Times New Roman', size=16)
plt.xlabel('省份', fontdict={'family': 'SimSun', 'size': 16})
plt.ylabel('SSPs农业生态系统旱涝风险变化率（%）', fontdict={'family': 'SimSun', 'size': 17})
plt.legend(prop={'family': 'SimSun', 'size': 16})
plt.savefig('SSP5-8.5农业生态系统旱涝风险变化率.jpg', dpi=500)
# axis.set_xlabel('省份', fontsize=12)
plt.show()

# axis1.legend()
# # axis1 = df.plot.hist(figsize=(15, 10), rot=0, stacked=False)
# axis2 = df.plot.line(figsize=(15, 10), rot=0)
# # axis2.set_xlim([-1, 31])
# # axis2.legend()
# plt.xticks(fontproperties='SimSun', rotation=90, size=10)
# plt.xticks(np.arange(0, 31, 1), fontproperties='SimSun', rotation=90, size=10)
# axis2.set_xticklabels(df2['省份'], rotation=90, fontsize=12)
# plt.yticks(fontproperties='Times New Roman', size=10)
# plt.xlabel('省份', fontdict={'family': 'SimSun', 'size': 10})
# plt.ylabel('农业生态系统旱涝风险变化率', fontdict={'family': 'SimSun', 'size': 10})
# plt.legend(prop={'family': 'Times New Roman', 'size': 10})
# # axis.set_xlabel('省份', fontsize=12)
# plt.show()
# # 进行排序
# da_sort = da.sort_values(by='省份')

# %%

# 选取绘图数据
# 选择横轴数据
# da_labels = da_sort.iloc[:, 0:1]
# # 选择纵轴数据
# da_train = da_sort.iloc[:, 9]
#
# # %%
#
# # 设置x轴，使得x的值的个数与地区数目一样
# x = np.arange(len(da_labels))  # the label locations
#
# # 绘图
# fig, ax = plt.subplots()
# # fig = plt.figure()
# # ax = fig.add_axes([0.1, 0.1, 0.8, 0.8])
# # plt.subplot(221)
# ax.bar(x, da_train, color='mistyrose', label='SSP5-8.5农业生态系统旱涝风险变化率')
# # 横线,根据分级更改y值
# ax.axhline(191., linestyle='--', color='red', label='平均变化率 ', linewidth=2)
# ax.legend(loc='upper left', fontsize='medium')
# # 图设置
# ax.set_ylabel('SSP5-8.5农业生态系统旱涝风险变化率（%）', fontsize=15)
# ax.set_xlabel('省份', fontsize=18)
# # x轴换成省份名称
# ax.set_xticks(x)
# ax.set_xticklabels(da_labels['省份'], rotation=90, fontsize=12)
#
# # ax.set_ylabel
# # 这一句设置y轴范围
# # ax.set_ylim([-10, 35])
#
#
# ax.set_xlim([-1, len(da_labels)])
# ax.axhline(0., linestyle='-', color='black', linewidth=1)
# fig.tight_layout()
# plt.savefig('SSP5-8.5农业生态系统旱涝风险变化率.jpg', dpi=500)
#
# plt.yticks(np.arange(-10, 35, 5), fontproperties='Times New Roman', size=20)
# plt.show()
